require 'fpmache/file'

module Fpmache
  # Traverse trough a given directory and read all files
  class Directory
    attr_accessor :dir, :contents

    def initialize(dir)
      @dir = dir
      @contents = []
    end

    # Public - Traverse the directory and get files from it
    #
    # Returns Array
    def read
      dir = "#{@dir}/*"
      Dir.glob(dir).each do |f|
        @contents << Fpmache::File.new(f).read
      end
      @contents
    end
  end
end
